<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/

$title = 'Пользователи';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

//-----Если гость,то...-----//
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('system/footer.php'); exit;
}

$act = isset($_GET['act']) ? $_GET['act'] : null;

switch($act) {
default:
echo '<div class="title">'.$title.'</div>';

echo '<div class="podmenu"><a href="'.$HOME.'/administration.php">Администрация</a></div>';
echo '<div class="podmenu"><a href="'.$HOME.'/suser.php">Поиск</a></div>';

$users = mysql_query("SELECT * FROM `users` ORDER BY `id` DESC LIMIT 1");
while($newus = mysql_fetch_assoc($users))
{
echo '<div class="podmenu"><img src="/images/newus.png" alt="8" /> Последний зарегистрированый: '.nick($newus['id']).' </div>';
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` ORDER BY `id` LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' [ID: '.$a['id'].']</div>
<div class="podmenu">Зарегистрирован: ('.vremja($a['datareg']).')</div>
<div class="podmenu">Последнее посещение: ('.vremja($a['viz']).')</div>';
}

if ($k_page>1) echo str('/user.php?',$k_page,$page); // Вывод страниц

break;
case 'online':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | Сейчас онлайн</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `viz` > '".(time()-3600)."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;


$users = mysql_query("SELECT * FROM `users` where `viz` > '".(time()-3600)."' ORDER BY `viz` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' ('.times($a['viz']).')</div>';
}

if ($k_page>1)echo str('/online.php?',$k_page,$page); // Вывод страниц

break;
case 'adm':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | Администрация сайта</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `level` >= '1' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `level` >= '1' ORDER BY `viz` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' </div>
<div class="podmenu">Зарегистрирован: ('.vremja($a['datareg']).')</div>
<div class="podmenu">Последнее посещение: '.vremja($a['viz']).'</div>';
}


if ($k_page>1)echo str('/administration.php?',$k_page,$page); // Вывод страниц

break;

case 'rating':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | По рейтингу</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `id`  ORDER BY `rating` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).' [ID: '.$a['id'].'] (Рейтинг: <font color="green"><b>'.$a['rating'].'</b></font>)</div>
';
}


if ($k_page>1)echo str('/ratingus?',$k_page,$page); // Вывод страниц

break;



case 'posttop':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | По постам</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `id`  ORDER BY '$count' DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($users))
{
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_post` WHERE  `us`='".$a['id']."'"),0);
echo '<div class="links">'.nick($a['id']).'(Количество постов: <font color="green"><b>'.$count.'</b></font>)</div>
';
}


if ($k_page>1)echo str('/toppost?',$k_page,$page); // Вывод страниц

break;

case 'temtop':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | По темам</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `id`  ORDER BY '$count' DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($users))
{
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_tema` WHERE  `us`='".$a['id']."'"),0);
echo '<div class="links">'.nick($a['id']).'(Количество тем: <font color="green"><b>'.$count.'</b></font>)</div>
';
}


if ($k_page>1)echo str('/toptem?',$k_page,$page); // Вывод страниц

break;
case 'timetop':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | По онлайн</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `id`  ORDER BY 'allonline' DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($users))
{
echo '<div class="links">'.nick($a['id']).'(Провел на сайте: <font color="green"><b>'.tims2($a['allonline']).'</b></font>)</div>
';
}


if ($k_page>1)echo str('/timetop?',$k_page,$page); // Вывод страниц

break;
case 'zcfiletop':

echo '<div class="title"><a href="'.$HOME.'/user.php">'.$title.'</a> | По файлов в ЗЦ</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$users = mysql_query("SELECT * FROM `users` where `id`  ORDER BY '$count' DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($users))
{
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` WHERE  `avtor`='".$a['id']."'"),0);
echo '<div class="links">'.nick($a['id']).'(Файлов в зц: <font color="green"><b>'.$count.'</b></font>)</div>
';
}


if ($k_page>1)echo str('/zcfiletop?',$k_page,$page); // Вывод страниц

break;

}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>